import React from 'react'
import { ViewStyle } from 'react-native'
export interface ListViewProps<T> {
  data: T[]
  key?: keyof T
  renderItem: (item: T) => React.ReactElement<any>
  onRefresh?: () => Promise<any>
  containerStyle?: ViewStyle
  title?: string
}
interface ListViewState {
  refreshing: boolean
}
export declare class ListView<T> extends React.Component<
  ListViewProps<T>,
  ListViewState
> {
  constructor(props: ListViewProps<T>)
  render(): JSX.Element
}
export {}
